import type { PayloadRequest } from '../../../types/index.js';
import type { RetryConfig, RunInlineTaskFunction, RunTaskFunction, TaskHandlerResult } from '../../config/types/taskTypes.js';
import type { BaseJob, SingleTaskStatus, WorkflowConfig } from '../../config/types/workflowTypes.js';
import type { UpdateJobFunction } from './getUpdateJobFunction.js';
export type RunTaskFunctionState = {
    reachedMaxRetries: boolean;
};
export declare function handleTaskFailed({ error, executedAt, input, job, maxRetries, output, req, retriesConfig, runnerOutput, state, taskID, taskSlug, taskStatus, updateJob, }: {
    error?: Error;
    executedAt: Date;
    input: any;
    job: BaseJob;
    maxRetries: number;
    output: any;
    req: PayloadRequest;
    retriesConfig: number | RetryConfig;
    runnerOutput?: TaskHandlerResult<string>;
    state: RunTaskFunctionState;
    taskID: string;
    taskSlug: string;
    taskStatus: null | SingleTaskStatus<string>;
    updateJob: UpdateJobFunction;
}): Promise<never>;
export declare const getRunTaskFunction: <TIsInline extends boolean>(state: RunTaskFunctionState, job: BaseJob, workflowConfig: WorkflowConfig<any>, req: PayloadRequest, isInline: TIsInline, updateJob: UpdateJobFunction) => TIsInline extends true ? RunInlineTaskFunction : RunTaskFunction;
//# sourceMappingURL=getRunTaskFunction.d.ts.map